<?php

   /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    class Api {
        private $geecomDb;
        
        function __construct($geecomDb) {
            $this->geecomDb = $geecomDb;
        }

        function aggiungiUtente($nome,$cognome,$indirizzo,$citta,$telefono,$email,$password) {
            $dataCreazione = date("Y-m-d");
            $queryCreazioneUtente ="INSERT INTO geec_utenti VALUES(NULL,'$email','$password','utente','$nome','$cognome','','','','$indirizzo','$citta','','$telefono','','','','','','','non attivato','','$dataCreazione','$dataCreazione');";
            $id = $this->geecomDb->eseguiQueryCreazione($queryCreazioneUtente);
            return $id;
        }
    }
